#!/bin/bash

BASEDIR="$PWD"

#SIZES_TO_SYNC="16x16 22x22 24x24 32x32 48x48 64x64 82x82 96x96"

SIZES_TO_SYNC="$@"

DIRS_TO_SYNC="actions apps apps-extra apps-evolution emblems categories devices mimetypes places status emotes"

TEMPLATE_SIZE="128x128"

if [[ $1 == *help ]]; then
	echo "usage: ./syncsizes naming -> use icon-naming-utils"
	echo "usage: ./syncsizes <size> -> create images of <size>"
else

echo "==============="
echo "Starting"
rm -rf $SIZES_TO_SYNC

sleep 2

cd $BASEDIR

cd $TEMPLATE_SIZE

if [[ $1 == "naming" ]]; then

for category in actions apps categories devices mimetypes places status; do cd $category
echo "===============" && echo -e "icon-mapping for 128x128/$category" && \
/usr/lib/icon-naming-utils/icon-name-mapping  -c $category >/dev/null && cd ..; \
done
fi

sleep 2

cd $BASEDIR

for size in $SIZES_TO_SYNC; do cp -r 128x128 $size && \
for dir in $DIRS_TO_SYNC; do echo "===============" && \
echo -e "creating $size/$dir" && cd $size/$dir && \
mogrify -resize $size! *.png && cd $BASEDIR; \
done; \
done

echo "==============="
echo "cleaning up"
cd $BASEDIR
rm -f *~

chmod -R 755 *

echo "==============="
echo "Finished"
echo "==============="
fi
